Get the edits. Add a query parameter for each column to filter on. If you are not an administrator, you must give project_id. A vendor gets only the edits of their assigned tasks. The route /data/edits/all gives the same result.
Query parameters
-
Get only the edits of this project
-
Get only the edits with this name
-
Page to get, answered as an object with data, total, nb_pages, limit, offset and page. Without page nor limit, the route returns the full list.
-
Number of rows in a page, or in a request of a cursor walk
-
Without page, id of the last row of the previous request. With limit, it walks the whole list from the newest created row to the oldest, request after request, until one returns fewer rows than limit
GET
/data/edits
curl
curl -X GET "http://api.example.com/data/edits?project_id=a24a6ea4-ce75-4665-a070-57453082c25&name=Opening%20Sequence&force=false" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/edits"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Opening Sequence",
"force": false
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Opening Sequence",
"description": "Main opening sequence edit",
"project_id": "b35b7fb5-df86-5776-b181-68564193d360",
"episode_id": "c46c80c6-e097-6887-c292-79675204e470",
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:30:00Z"
}
]